Bug 825644 - Review Request: drupal7-date_ical - Allows creation of an iCal feed in Views
Review Request: drupal7-date_ical - Allows creation of an iCal feed in Views
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InsightReviews
  Show dependency treegraph
 
Reported: 2012-05-28 02:25 EDT by Peter Borsa
Modified: 2012-06-19 13:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 15:51:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsmith.fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Borsa 2012-05-28 02:25:49 EDT
Spec URL: http://asrob.fedorapeople.org/SOURCES/drupal7-date_ical.spec
SRPM URL: http://asrob.fedorapeople.org/SOURCES/drupal7-date_ical-1.1-1.fc16.src.rpm
Description: This module contains code to create an iCal feed in Views. It has been pulled out of the Calendar iCal module because it has no dependency on Calendar and it could be used on any view. The code has also been generalized so that it will work for any entity, not just nodes. It creates an 'iCal' view mode for every entity type that can be used to to configure the description used in the iCal feed, and adds theme suggestions to tell Drupal to look for an iCal version of the entity template.
Fedora Account System Username: asrob

rpmlint output:

$ rpmlint drupal7-date_ical.spec ../SRPMS/drupal7-date_ical-1.1-1.fc16.src.rpm ../RPMS/noarch/drupal7-date_ical-1.1-1.fc16.noarch.rpm 
drupal7-date_ical.src: W: spelling-error Summary(en_US) iCal -> i Cal, Cal, Cali
drupal7-date_ical.src: W: spelling-error %description -l en_US iCal -> i Cal, Cal, Cali
drupal7-date_ical.noarch: W: spelling-error Summary(en_US) iCal -> i Cal, Cal, Cali
drupal7-date_ical.noarch: W: spelling-error %description -l en_US iCal -> i Cal, Cal, Cali
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4109452
Watching tasks (this may be safely interrupted)...
4109452 build (f16, drupal7-date_ical-1.1-1.fc16.src.rpm): open (x86-16.phx2.fedoraproject.org)
  4109453 buildArch (drupal7-date_ical-1.1-1.fc16.src.rpm, noarch): open (x86-06.phx2.fedoraproject.org)
  4109453 buildArch (drupal7-date_ical-1.1-1.fc16.src.rpm, noarch): open (x86-06.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
4109452 build (f16, drupal7-date_ical-1.1-1.fc16.src.rpm): open (x86-16.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

4109452 build (f16, drupal7-date_ical-1.1-1.fc16.src.rpm) completed successfully
Comment 1 Jared Smith 2012-05-30 14:57:13 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint drupal7-date_ical-1.1-1.fc18.src.rpm
drupal7-date_ical.src: W: spelling-error Summary(en_US) iCal -> i Cal, Cal, Cali
drupal7-date_ical.src: W: spelling-error %description -l en_US iCal -> i Cal, Cal, Cali
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

rpmlint drupal7-date_ical-1.1-1.fc18.noarch.rpm
drupal7-date_ical.noarch: W: spelling-error Summary(en_US) iCal -> i Cal, Cal, Cali
drupal7-date_ical.noarch: W: spelling-error %description -l en_US iCal -> i Cal, Cal, Cali
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/jsmith/Documents/Bluehost/Conferences/OSCON/825644/date_ical-7.x-1.1.tar.gz :
  MD5SUM this package     : f25dcfe1b35fb8a1c24dab8793d86b46
  MD5SUM upstream package : f25dcfe1b35fb8a1c24dab8793d86b46

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

PACKAGE IS APPROVED.
Comment 2 Peter Borsa 2012-05-30 15:13:33 EDT
New Package SCM Request
=======================
Package Name: drupal7-date_ical
Short Description: Allows creation of an iCal feed in Views
Owners: asrob jsmith
Branches: f16 f17 el5 el6
InitialCC:
Comment 3 Gwyn Ciesla 2012-05-30 15:19:08 EDT
Git done (by process-git-requests).

Jared, please take ownership of review BZs.  Thanks!
Comment 4 Fedora Update System 2012-05-30 16:03:46 EDT
drupal7-date_ical-1.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/drupal7-date_ical-1.1-1.fc16
Comment 5 Fedora Update System 2012-05-30 16:13:34 EDT
drupal7-date_ical-1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal7-date_ical-1.1-1.fc17
Comment 6 Fedora Update System 2012-05-30 16:21:49 EDT
drupal7-date_ical-1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-date_ical-1.1-1.el6
Comment 7 Fedora Update System 2012-05-30 16:31:55 EDT
drupal7-date_ical-1.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal7-date_ical-1.1-1.el5
Comment 8 Fedora Update System 2012-06-09 21:28:45 EDT
drupal7-date_ical-1.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2012-06-09 21:36:42 EDT
drupal7-date_ical-1.1-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2012-06-19 13:01:20 EDT
drupal7-date_ical-1.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 11 Fedora Update System 2012-06-19 13:03:30 EDT
drupal7-date_ical-1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.